# structure-cache-middleware
Route caching on RethinkDB

### Usage

*Cache a route*
```
import cache from 'structure-cache-middleware'
app.get('/', cache(<TTL in seconds>), function (req, res)  { ... })
```

*Invalidate all cached routes for an application*
```
import {Cache} from 'structure-cache-middleware'
const cache = new Cache()
cache.invalidateApplication(applicationId)
```
